aboutsummaryrefslogtreecommitdiffstats
path: root/testing/fprobe/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2009-03-27 11:30:51 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2009-03-27 11:30:51 +0000
commitbb04cb9d59e738310e3ec233fad42be31a6224ac (patch)
tree766d929a0f9aba7249e656579631928f67e9b54f /testing/fprobe/APKBUILD
parent5a9af1f3e07c6549b2ad3e757c7214389297e09f (diff)
downloadaports-bb04cb9d59e738310e3ec233fad42be31a6224ac.tar.gz
aports-bb04cb9d59e738310e3ec233fad42be31a6224ac.tar.bz2
aports-bb04cb9d59e738310e3ec233fad42be31a6224ac.tar.xz
testing/fprobe: new aport
Diffstat (limited to 'testing/fprobe/APKBUILD')
-rw-r--r--testing/fprobe/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/testing/fprobe/APKBUILD b/testing/fprobe/APKBUILD
new file mode 100644
index 0000000000..6005359936
--- /dev/null
+++ b/testing/fprobe/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer: Carlo Landmeter <clandmeter@gmail.com>
+pkgname=fprobe
+pkgver=1.1
+pkgrel=0
+pkgdesc="libpcap-based tool that collect network traffic"
+url="http://fprobe.sourceforge.net/"
+license="GPL"
+depends="uclibc"
+makedepends="libpcap-dev"
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2
+$pkgname.initd
+$pkgname.confd"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ make DESTDIR="$pkgdir" install
+
+ install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="65850d0470078269b33eee58cba77ac2 fprobe-1.1.tar.bz2
+a682fef5ba72855db5d67b62c88ffaf0 fprobe.initd
+ba9c9327456e4db897b60481705df282 fprobe.confd"